Loading...
Searching...
No Matches
Opm::DiffusionIntensiveQuantities< TypeTag, true > Class Template Reference

Provides the volumetric quantities required for the calculation of molecular diffusive fluxes. More...

`#include <diffusionmodule.hh>`

## Public Member Functions

Evaluation | diffusionCoefficient (unsigned phaseIdx, unsigned compIdx) const
| Returns the molecular diffusion coefficient for a component in a phase.
Evaluation | tortuosity (unsigned phaseIdx) const
| Returns the tortuousity of the sub-domain of a fluid phase in the porous medium.
Evaluation | effectiveDiffusionCoefficient (unsigned phaseIdx, unsigned compIdx) const
| Returns the effective molecular diffusion coefficient of the porous medium for a component in a phase.

## Protected Member Functions

template<class FluidState>
void | update_ (FluidState &fluidState, typename FluidSystem::template ParameterCache< typename FluidState::Scalar > &paramCache, const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| Update the quantities required to calculate diffusive mass fluxes.

## Detailed Description

template<class TypeTag>
class Opm::DiffusionIntensiveQuantities< TypeTag, true >

Provides the volumetric quantities required for the calculation of molecular diffusive fluxes.

The documentation for this class was generated from the following file:

- opm/models/common/diffusionmodule.hh